package intrinsic.flash.utils;

public class ByteArray extends Object implements intrinsic.flash.utils.IDataInput, intrinsic.flash.utils.IDataOutput {

	/** Accessors */
	public int bytesAvailable;
	public int length;
	public int objectEncoding;
	public String endian;
	public int position;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static int defaultObjectEncoding;

	/** Class variables */

/** Contructors */
public ByteArray() {
}


/** Static Methods */

/** Methods */
public native void writeMultiByte(String arg0, String arg1);
public native void writeUTFBytes(String arg0);
public native void writeShort(int arg0);
public native void writeByte(int arg0);
public native void writeUTF(String arg0);
public native void writeBoolean(boolean arg0);
public native String toString();
public native int readUnsignedInt();
public native String readMultiByte(int arg0, String arg1);
public native int readShort();
public native void writeFloat(double arg0);
public native void writeBytes(intrinsic.flash.utils.ByteArray arg0);
public native void writeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void writeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native double readFloat();
public native double readDouble();
public native void writeUnsignedInt(int arg0);
public native int readUnsignedShort();
public native boolean readBoolean();
public native void writeInt(int arg0);
public native int readUnsignedByte();
public native void readBytes(intrinsic.flash.utils.ByteArray arg0);
public native void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native void writeDouble(double arg0);
public native void writeObject(Object arg0);
public native String readUTF();
public native int readInt();
public native void compress();
public native void compress(String arg0);
public native void uncompress();
public native void uncompress(String arg0);
public native String readUTFBytes(int arg0);
public native int readByte();
public native Object readObject();

}
